## Apache Zeta Components Manual :: Docs For Class ezcWebdavLiveProperty

### Webdav::ezcWebdavLiveProperty

### Class ezcWebdavLiveProperty

Abstract base class for live property objects.

All classes representing live (in the meanining of server maintained) properties must extend this common base class. Live properties reside in the 'DAV:' namespace.

Source for this file: /Webdav/src/interfaces/property_live.php

    ezcWebdavInfrastructureBase
       |
       --ezcWebdavProperty
          |
          --ezcWebdavLiveProperty

Version: | //autogentag//

### Descendants

Child Class | Description
--- | ---
ezcWebdavSourcePropertyLink | An object of this class represents the Webdav property <source>.
ezcWebdavSourceProperty | An object of this class represents the Webdav property <source>.
ezcWebdavGetEtagProperty | An object of this class represents the Webdav property <geteetag>.
ezcWebdavGetContentLanguageProperty | An object of this class represents the Webdav property <getcontentlanguage>.
ezcWebdavCreationDateProperty | An object of this class represents the Webdav property <creationdate>.
ezcWebdavDisplayNameProperty | An object of this class represents the Webdav property <name>.
ezcWebdavGetLastModifiedProperty | An object of this class represents the Webdav property <getlastmodified>.
ezcWebdavGetContentLengthProperty | An object of this class represents the Webdav property <getcontentlength>.
ezcWebdavResourceTypeProperty | An object of this class represents the Webdav property <resourcetype>.
ezcWebdavGetContentTypeProperty | An object of this class represents the Webdav property <getcontenttype>.

### Inherited Member Variables

From ezcWebdavProperty
protected | `ezcWebdavProperty::$properties`
From ezcWebdavInfrastructureBase
protected | `ezcWebdavInfrastructureBase::$pluginData`

### Method Summary

public void | `__construct( $name )` Creates a new live property.

### Inherited Methods

From ezcWebdavProperty
public void | `ezcWebdavProperty::__construct()` Creates a new property object.
public void | `ezcWebdavProperty::clear()` Remove all contents from a property.
protected void | `ezcWebdavProperty::hasError()` Indicates that a property has a validation error.
public abstract bool | `ezcWebdavProperty::hasNoContent()` Check if property has no content.
public void | `ezcWebdavProperty::__clone()` Clones a property deeply.
From ezcWebdavInfrastructureBase
public mixed | `ezcWebdavInfrastructureBase::getPluginData()` Retrieves plugin data from the storage.
public bool | `ezcWebdavInfrastructureBase::hasPluginData()` Returns if plugin data is available in the storage.
public void | `ezcWebdavInfrastructureBase::removePluginData()` Removes plugin data from the storage.
public void | `ezcWebdavInfrastructureBase::setPluginData()` Sets plugin data in the storage.

### Methods

#### __construct

void __construct( string $name )

Creates a new live property.

Creates a new live property with the $name in the default namespace "DAV:".

##### Parameters:

Name | Type | Description
--- | --- | ---
`$name` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcWebdavProperty::__construct()` | Creates a new property object.

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcWebdavSourcePropertyLink::__construct()` | Creates a new ezcWebdavSourceProperty.
`ezcWebdavSourceProperty::__construct()` | Creates a new ezcWebdavSourceProperty.
`ezcWebdavGetEtagProperty::__construct()` | Creates a new ezcWebdavGetEtagProperty.
`ezcWebdavGetContentLanguageProperty::__construct()` | Creates a new ezcWebdavGetContentLanguageProperty.
`ezcWebdavCreationDateProperty::__construct()` | Creates a new ezcWebdavCreationDateProperty.
`ezcWebdavDisplayNameProperty::__construct()` | Creates a new ezcWebdavDisplayNameProperty.
`ezcWebdavGetLastModifiedProperty::__construct()` | Creates a new ezcWebdavGetLastModifiedProperty.
`ezcWebdavGetContentLengthProperty::__construct()` | Creates a new ezcWebdavGetContentLengthProperty.
`ezcWebdavResourceTypeProperty::__construct()` | Creates a new ezcWebdavResourceTypeProperty.
`ezcWebdavGetContentTypeProperty::__construct()` | Creates a new ezcWebdavGetContentTypeProperty.

Documentation generated by phpDocumentor 1.4.3